---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: jwt
  labels:
    app: jwt
spec:
  replicas: 1
  selector:
    matchLabels:
      app: jwt
  template:
    metadata:
      labels:
        name: jwt
        app: jwt
        hub.jupyter.org/network-access-hub: "true"
    spec:
      containers:
        - name: jwt
          # recommended to keep it in sync with */deployments/*.yaml
          image: eginotebooks/hub:sha-323c75e
          args:
            - fastapi
            - run
            - /egi-notebooks-hub/egi_notebooks_hub/services/api_wrapper.py
          env:
            - name: JUPYTERHUB_SERVICE_PREFIX
              value: "/services/jwt"
            - name: JUPYTERHUB_API_URL
              value: http://hub:8081/hub/api
          ports:
            - name: http
              containerPort: 8000
              protocol: TCP
---
apiVersion: v1
kind: Service
metadata:
  name: jwt
  labels:
    app: jwt
spec:
  ports:
    - port: 80
      targetPort: http
      protocol: TCP
      name: http
  selector:
    app: jwt
